import { request } from "@zhgkpt/utils";

// 总体情况
export function getZtqk(params) {
  return request({
    url: "/system/xfwlw/ztqk/list",
    method: "get",
    params,
  });
}

// 总体情况点位统计
export function getZtqkDwtj(params) {
  return request({
    url: "/system/xfwlw/ztqk/jcdwtj/list",
    method: "get",
    params,
  });
}

// 告警处置
export function getGqcz(params) {
  return request({
    url: "/system/xfwlw/gjcz/list",
    method: "get",
    params,
  });
}

// 获取排名
export function getRank(type, params) {
  if (type === "dq") {
    // 电器火灾
    return request({
      url: "/system/xfwlw/qyfb/dqhzpm/list",
      method: "get",
      params,
    });
  } else if (type === "hz") {
    // 区域分布火灾
    return request({
      url: "/system/xfwlw/qyfb/hzbjzjpm/list",
      method: "get",
      params,
    });
  } else if (type === "wlw") {
    // 区域分布物联网接入
    return request({
      url: "/system/xfwlw/qyfb/ldpm/list",
      method: "get",
      params,
    });
  } else if (type === "smtd") {
    // 区域分布生命通道
    return request({
      url: "/system/xfwlw/qyfb/smtdpm/list",
      method: "get",
      params,
    });
  } else if (type === "sy") {
    // 区域分布水压
    return request({
      url: "/system/xfwlw/qyfb/sypm/list",
      method: "get",
      params,
    });
  } else if (type === "xfkzs") {
    // 区域分布消防控制室
    return request({
      url: "/system/xfwlw/qyfb/xfkzspm/list",
      method: "get",
      params,
    });
  }
}

// 获取物联网设备列表
export function getDeviceList(params) {
  return request({
    url: "/system/jqdt/sgdwxx/wlwsb/list",
    method: "get",
    params,
  });
}

// 告警类型
export function getType(params) {
  return request({
    url: "/system/type/list",
    method: "get",
    params,
  });
}
